SystemOrganization addCategory: #'Xenon-Library'!

Trait named: #XeTAssert
	uses: {}
	category: 'Xenon-Library'!

!XeTAssert commentStamp: 'BernardoContreras 6/20/2012 19:30' prior: 0!
The assert macro, defined in the header file `assert.h', provides a convenient way to abort the program while printing a message about where in the program the error was detected.!

XeTAssert classTrait
	uses: XeDefineOnCG!

!XeTAssert classSide methodsFor: 'translation' stamp: 'BernardoContreras 6/20/2012 01:21'!
defineOn: cg
	cg addHeaderFile: '<assert.h>'! !

!XeTAssert methodsFor: 'assert' stamp: 'BernardoContreras 6/20/2012 19:32'!
assert: expression
	"be careful. this message expects a boolean expression and not a block. it overrides Object>>#assert:"

	<doNotTranslate>
	expression
		ifFalse: [ AssertionFailure signal: 'Assertion failed' ]! !

Trait named: #XeTMain
	uses: {}
	category: 'Xenon-Library'!

!XeTMain commentStamp: 'BernardoContreras 6/19/2012 22:51' prior: 0!
Provides the main method for c without a prototype declaration.
You should implement the mainEntry message in your class.
!

!XeTMain methodsFor: 'main' stamp: 'BernardoContreras 6/20/2012 19:32'!
main
	<noFunctionPrototype>
	<returnType: #int>
	^ self mainEntry! !

Trait named: #XeTStdio
	uses: {}
	category: 'Xenon-Library'!

!XeTStdio commentStamp: '<historical>' prior: 0!
The <stdio.h> Header File
ANSI-compatible file and TTY input/output routines!

XeTStdio classTrait
	uses: XeDefineOnCG!

!XeTStdio classSide methodsFor: 'translation' stamp: 'BernardoContreras 6/20/2012 01:21'!
defineOn: cg
	cg addHeaderFile: '<stdio.h>'! !

!XeTStdio methodsFor: 'stdio' stamp: 'BernardoContreras 6/19/2012 23:32'!
puts: aString
	"Write a string, followed by a newline, to stdout."

	<doNotTranslate>
	Smalltalk tools transcript
		show: aString;
		cr! !
